#!/bin/sh
#
# This script has been used to create the jar that contains it
#
# author : Christophe Ney - Lutris Technologies  cney@batisseurs.com
#
#
echo "work in tmp directory"
cd /tmp
echo "clean up previous content"
rm -rf jonas
echo "login in CVS repository (type enter for password)"
cvs -d :pserver:anonymous@cvs.objectweb.org:/cvs/JOnAS login
echo "checkout jonas timer package"
cvs -d :pserver:anonymous@cvs.objectweb.org:/cvs/JOnAS co -r jonas-2-4-3 -d . -l jonas
cd jonas 
cvs -d :pserver:anonymous@cvs.objectweb.org:/cvs/JOnAS update -r jonas-2-4-3 -d -l src
cd src
cvs -d :pserver:anonymous@cvs.objectweb.org:/cvs/JOnAS update -d -r jonas-2-4-3 -l org
cd org
cvs -d :pserver:anonymous@cvs.objectweb.org:/cvs/JOnAS update -d -r jonas-2-4-3 -l objectweb
cd objectweb
cvs -d :pserver:anonymous@cvs.objectweb.org:/cvs/JOnAS update -d -r jonas-2-4-3 jonas_jms
cd /tmp/jonas/src
echo "compile relevant classes"
javac `find . -name *.java -printf %p\ `
echo  "create manifest"
echo "Created-By: Christophe Ney cney@batisseurs.com (Lutris Technologies)" >jonas_jms.mf
echo "Created-On: `date`" >>jonas_jms.mf
echo "Implementation-Vendor: JOnAS (www.objectweb.org)" >>jonas_jms.mf
echo >>jonas_jms.mf
echo >>jonas_jms.mf
echo "create jar"
cp ../../create-this-jar.sh .
jar cvfm ../../jonas_jms.jar jonas_jms.mf create-this-jar.sh `find . -name *.java -printf %p\ ` `find . -name *.class -printf %p\ `
echo "completed : jonas_jms.jar created"




 




